Bug 893878 - bkr machine-test can submit an invalid Job
Summary: bkr machine-test can submit an invalid Job
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.10
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.12
Assignee: Amit Saha
QA Contact: Qixiang Wan
URL:
Whiteboard: CommandLineEnhancement
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-10 05:28 UTC by Raymond Mancy
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:55:50 UTC


Attachments (Terms of Use)

Description Raymond Mancy 2013-01-10 05:28:48 UTC
Description of problem:

If there are no distros for machine-test to install on, it does not check for this, and instead an invalid job xml is created and submitted

Version-Release number of selected component (if applicable):

0.10.y

How reproducible:

Always

Steps to reproduce:
[rmancy@devbox beaker]$ bkr machine-test --machine hx-pp.example.com --debug

1. 
2.
3.
  
Actual results:

<job retention_tag="Scratch"><whiteboard>Test hx-pp.example.com</whiteboard></job>
<Fault 1: "<class 'bkr.common.bexceptions.BX'>:'No RecipeSets! You can not have a Job with no recipeSets!'">
Submitted: []

Expected results:

Something like 'Could not find any distros to test test on'

Additional info:

Comment 2 Amit Saha 2013-01-24 05:35:34 UTC
On Gerrit: http://gerrit.beaker-project.org/#/c/1668/

Comment 4 Qixiang Wan 2013-03-27 08:35:25 UTC
Verified with beaker-0.11.3-1.git.210.bda2c22

Remove all supported arches from a system, then issue:

$ bkr machine-test --machine $machine_fqdn --debug
Could not find an appropriate distro to provision system with.

Comment 5 Dan Callaghan 2013-04-11 04:55:50 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.